Package org.drinkless.tdlib

# Class TdApi.ChatEvent

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatEvent

Enclosing class:
  `TdApi`

public static class TdApi.ChatEvent extends TdApi.Object
Represents a chat event.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatEventAction`
  `action`
  The action.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the event happened.
  `long`
  `id`
  Chat event identifier.
  `TdApi.MessageSender`
  `memberId`
  Identifier of the user or chat who performed the action.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatEvent()`
  Represents a chat event.
  `ChatEvent(long id, int date, TdApi.MessageSender memberId, TdApi.ChatEventAction action)`
  Represents a chat event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Chat event identifier.

  - ### date

    public int date
    Point in time (Unix timestamp) when the event happened.

  - ### memberId

    public TdApi.MessageSender memberId
    Identifier of the user or chat who performed the action.

  - ### action

    public TdApi.ChatEventAction action
    The action.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatEvent

    public ChatEvent()
    Represents a chat event.

  - ### ChatEvent

    public ChatEvent(long id, int date, TdApi.MessageSender memberId, TdApi.ChatEventAction action)
    Represents a chat event.
    Parameters:
      `id` - Chat event identifier.
      `date` - Point in time (Unix timestamp) when the event happened.
      `memberId` - Identifier of the user or chat who performed the action.
      `action` - The action.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR